# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.ISortCondition

Packages that use ISortCondition
Package
Description
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of ISortCondition in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return ISortCondition
Modifier and Type
Method
Description
`ISortCondition[]`
MultiRowItem.`getSortConditions()`
Methods in org.eclipse.birt.report.model.api.extension with parameters of type ISortCondition
Modifier and Type
Method
Description
`void`
MultiRowItem.`addSortCondition(ISortCondition condition)`
`void`
MultiRowItem.`removeSortCondition(ISortCondition condition)`

## Uses of ISortCondition in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return ISortCondition
Modifier and Type
Method
Description
`ISortCondition`
SimpleElementFactory.`createSortCondition()`
Create `ISortCondition`
`ISortCondition`
SimpleElementFactory.`createSortCondition(SortKey sort)`
`ISortCondition`
SimpleElementFactory.`createSortCondition(SortKeyHandle sortHandle)`

## Uses of ISortCondition in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return ISortCondition
Modifier and Type
Method
Description
`ISortCondition`
IReportDesign.`createSortCondition()`
Create ISortCondition
`ISortCondition`
ISimpleElementFactory.`createSortCondition()`
Creates the sort structure.
`ISortCondition`
ISimpleElementFactory.`createSortCondition(SortKey sort)`
Creates the sort structure.
`ISortCondition`
ISimpleElementFactory.`createSortCondition(SortKeyHandle sortHandle)`
Creates the sort structure.
`ISortCondition[]`
IMultiRowItem.`getSortConditions()`
Returns all sort conditions.
Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type ISortCondition
Modifier and Type
Method
Description
`void`
IMultiRowItem.`addSortCondition(ISortCondition condition)`
Adds sort condition.key of ISortCondition is required.
`void`
IMultiRowItem.`removeSortCondition(ISortCondition condition)`
Removes sort condition.